diff --git a/changelog b/changelog
index 1fab864..e7c4e8a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140901 tpd src/axiom-website/patches.html 20140901.01.tpd.patch
+20140901 tpd src/axiom-website/videos.html add Developer videos section
 20140825 tpd src/axiom-website/patches.html 20140825.03.tpd.patch
 20140825 tpd src/input/taylorseries.input fix typo
 20140825 tpd src/axiom-website/patches.html 20140825.02.tpd.patch
diff --git a/patch b/patch
index 677f163..4d6f071 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-src/input/taylorseries.input
+src/axiom-website/videos.html add Developer Videos section
 
-minor typo fixes
+update the page with a new section
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3f1eccd..7e58939 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4614,6 +4614,8 @@ src/input/taylorseries.input added regression test<br/>
 books/bookvolbib fix typos<br/>
 <a href="patches/20140825.03.tpd.patch">20140825.03.tpd.patch</a>
 src/input/taylorseries.input fix typo<br/>
+<a href="patches/20140901.01.tpd.patch">20140901.01.tpd.patch</a>
+src/axiom-website/videos.html add Developer videos section<br/>
  </body>
 </html>
 
diff --git a/src/axiom-website/videos.html b/src/axiom-website/videos.html
index bf577ab..6ee3539 100644
--- a/src/axiom-website/videos.html
+++ b/src/axiom-website/videos.html
@@ -4,6 +4,9 @@
   <link href="style.css" rel="stylesheet" type="text/css" />
   <title>Axiom Computer Algebra System</title>
  </head>
+ <style>
+  table td { margin: 5px 15px; text-align: center; }
+ </style>
  <body bgcolor="#ECEA81">
 <div id='container'>
 
@@ -116,41 +119,57 @@
 <div id='content'> <!-- Content Goes Here! -->
 <!--XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX -->
 
+<br/>
+<h2>Axiom General Videos</h2>
+<br/>
+<div id="informationsources">
+<table>
+ <tr>
+  <td><b>Title</b></td>
+  <td><b>Youtube</b></td>
+  <td><b>Local</b></td>
+  <td><b>Documentation</b></td>
+ </tr>
+ <tr> 
+  <td><b>Axiom Information Sources</b></td>
+  <td><a href="http://www.youtube.com/watch?v=CV8y3UrpadY">youtube</a></td>
+  <td><a href="informationsources.html">wmv</a></td>
+  <td><a href="informationsources.pdf">pdf</a></td>
+ </tr>
+ <tr> 
+  <td><b>Literate Programming in the Large</b></td>
+  <td><a href="http://www.youtube.com/watch?v=Av0PQDVTP4A">youtube</a></td>
+  <td><a href="informationsources.html"></a></td>
+  <td><a href="informationsources.pdf"></a></td>
+ </tr>
 
-
-<div>
- <h2>
-  Axiom videos are now available. <br/>
-  This will be an ongoing development effort.
- </h2>
- <br/>
+</table>
 </div>
+
+<br/>
 <hr/>
-<div id="informationsources">
+<br/>
+<h2>Axiom Developer's Tutorial Videos</h2>
+<br/>
+<div id="tutorials">
 <table>
+
+ <tr>
+  <td><b>Title</b></td>
+  <td><b>Youtube</b></td>
+  <td><b>Local</b></td>
+  <td><b>Documentation</b></td>
+ </tr>
  <tr> 
-  <td>
-   <b>Axiom Information Sources</b>
-  </td>
-  <td>
-  </td>
-  <td>
-   <a href="http://www.youtube.com/watch?v=CV8y3UrpadY">
-    youtube
-   </a>
-  </td>
-  <td>
-   <a href="informationsources.html">
-    wmv
-   </a>
-  </td>
-  <td>
-   <a href="informationsources.pdf">
-    pdf
-   </a>
-  </td>
+  <td><b>Adding Algebra</b></td>
+  <td>.</td>
+  <td><a href="AddingAlgebra.mp4">mp4</a></td>
+  <td>.</td>
  </tr>
+
 </table>
+</div>
+
 <br/>
 The <b>Information Sources</b> video gives a quick overview of the 
 external and internal information available for Axiom. The
